/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Main.java to edit this template
 */
package ChatProgramm.model;

import ChatProgramm.model.Transmitter;
import ChatProgramm.util.OhmLogger;
import ChatProgramm.view.ChatView;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;
import java.io.UnsupportedEncodingException;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.ArrayList;
import java.util.concurrent.Flow;
import java.util.concurrent.SubmissionPublisher;
import java.util.logging.*;

/**
 * Builder Class
 *
 * @author le
 */
public class Server extends Transmitter {

    private static Logger lg = OhmLogger.getLogger();


    @Override
    public void connect() throws IOException {
        try {
            ServerSocket sSocket = new ServerSocket(PORT);
            sSocket.setSoTimeout(timeout);
            lg.info("Server: warte auf Verbindung");
            socket = sSocket.accept();
            lg.info("Server: Verbindung akzeptiert");

        } catch (java.io.InterruptedIOException e) {
            lg.warning("Timeout" + "(" + timeout / 1000 + "s)");
        }

    }



    public Server(ChatView view) throws IOException {
        super(view);
        connect();
        initIO();

//    String nachricht = in.readLine(); // ACHTUNG blockiert
//    lg.info("Server: Nachricht erhalten");
//    System.out.println("Server: NACHRICHT = " + nachricht);
//    
//    // ACHTUNG: blockiert NICHT!!!!
//    out.println("Server an Client: Nachricht erhalten");
//    out.flush(); // wichtig
//    
//    lg.info("Server: fertig");
//    in.close();
//    out.close();
//    s.close();
    }



}
