/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Main.java to edit this template
 */
package ChatProgramm.model;

import ChatProgramm.util.OhmLogger;
import ChatProgramm.view.ChatView;

import java.io.IOException;
import java.net.Socket;
import java.util.logging.*;

/**
 * Builder Class
 *
 * @author le
 */
public class Client extends Transmitter {

    private static Logger lg = OhmLogger.getLogger();


    public Client(ChatView view) throws IOException {
        super(view);
        connect();
        initIO();

//        out.println("Hallo Du Server - ich bin ein Client");
//        out.flush();
//
//        lg.info("Client: warte auf Serverantwort");
//
//        String nachricht = in.readLine(); // ACHTUNG blockiert
//        lg.info("Client: Serverbestätigung erhalten");
//
//        lg.info("Client: fertig");
//        in.close();
//        out.close();
//        s.close();
    }


    @Override
    public void connect() throws IOException {
        try {
            lg.info("Client: Verbindung wird aufgebaut");
            socket = new Socket(IP, PORT);
            lg.info("Client: Verbindung aufgebaut");

        } catch (java.io.InterruptedIOException e) {
            lg.warning("Timeout" + "(" + timeout / 1000 + "s)");
        }
    }
    

}
